
From: Joel Schopp <jschopp@austin.ibm.com>

This patch fixes this compile error by causing the object that
contains the referenced function to be built:

drivers/built-in.o(.text+0x26db8): In function `.initMatrox2':
: undefined reference to `.mac_vmode_to_var' 

Signed-off-by: Joel Schopp <jschopp@austin.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/video/Makefile |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/video/Makefile~matroxfb-compile-error drivers/video/Makefile
--- 25/drivers/video/Makefile~matroxfb-compile-error	2005-03-15 22:20:46.000000000 -0800
+++ 25-akpm/drivers/video/Makefile	2005-03-15 22:20:46.000000000 -0800
@@ -26,7 +26,7 @@ obj-$(CONFIG_FB_CYBER2000)        += cyb
 obj-$(CONFIG_FB_PM2)              += pm2fb.o
 obj-$(CONFIG_FB_PM3)		  += pm3fb.o
 
-obj-$(CONFIG_FB_MATROX)		  += matrox/
+obj-$(CONFIG_FB_MATROX)		  += matrox/ macmodes.o
 obj-$(CONFIG_FB_RIVA)		  += riva/ vgastate.o
 obj-$(CONFIG_FB_NVIDIA)		  += nvidia/
 obj-$(CONFIG_FB_ATY)		  += aty/
_
